## wxLogTextCtrl

Using these target all the log messages can be redirected to a text control. The text control must have been created with `wxTE_MULTILINE` style by the caller previously.

Derived from

wxLog

Include files

<wx/log.h>

See also

wxTextCtrl,
wxStreamToTextRedirector

Members

wxLogTextCtrl::wxLogTextCtrl

### wxLogTextCtrl::wxLogTextCtrl

wxLogTextCtrl(wxTextCtrl *textctrl)

Constructs a log target which sends all the log messages to the given text control. The textctrl parameter cannot be `NULL`.